We're updating the issue view to help you get more done. 

Add limit and offset for accessApproval and accessRequirement API calls and remove 0x400 flag default when calling GET /entity/{id}/bundle

Description

The following masks in the GET /entity/{id}/bundle call will soon be deprecated:

1 2 Access Requirements (List<AccessRequirement>) = 0x200 Unmet Access Requirements (List<AccessRequirement>) = 0x400

Remove usages of these masks and change code that uses these to instead call (with limits and offsets):

GET /entity/(id)/accessApproval

GET /team/(id)/accessApproval

GET /entity/(id)/accessRequirement

GET /team/(id)/accessRequirement

The following calls will soon require limit and offset:
GET /entity/{id}/accessApproval
GET /team/{id}/accessApproval
GET /entity/{id}/accessRequirement
GET /team/{id}/accessRequirement

Environment

None

Status

Assignee

Ziming Dong

Reporter

Ziming Dong

Labels

None

Validator

Kimyen Truong

Release Version History

None

Fix versions

Priority

Major